Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 733708

Summary: gnome-base/gdm-3.36.3: emake failed: s-common.c:63:9: error: too few arguments to function ‘_ck_assert_failed’
Product: Gentoo Linux Reporter: Thomas Deutschmann (RETIRED) <whissi>
Component: Current packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: ahvenas
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log
Replace deprecated attachments

Description Thomas Deutschmann (RETIRED) gentoo-dev 2020-07-23 21:44:18 UTC
Created attachment 650412 [details]
build.log

> Making all in tests
> make[2]: Entering directory '/var/tmp/portage/gnome-base/gdm-3.36.3/work/gdm-3.36.3/tests'
> x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I. -I.. -I../common -pthread -I/usr/include/gio-unix-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gudev-1.0 -I/usr/lib64/libffi/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -pthread -I/usr/include/gio-unix-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gudev-1.0 -I/usr/lib64/libffi/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -O2 -pipe -march=skylake -mtune=skylake -mabm -mrtm -c -o m_common-m-common.o `test -f 'm-common.c' || echo './'`m-common.c
> x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I. -I.. -I../common -pthread -I/usr/include/gio-unix-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gudev-1.0 -I/usr/lib64/libffi/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -pthread -I/usr/include/gio-unix-2.0 -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gudev-1.0 -I/usr/lib64/libffi/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -O2 -pipe -march=skylake -mtune=skylake -mabm -mrtm -c -o m_common-s-common.o `test -f 's-common.c' || echo './'`s-common.c
> In file included from s-common.c:27:
> s-common.c: In function ‘test_gdm_shell_expand_fn’:
> s-common.c:63:9: error: too few arguments to function ‘_ck_assert_failed’
>    63 |         fail_unless (expands_to ("foo", "foo"));
>       |         ^~~~~~~~~~~
> /usr/include/check.h:502:27: note: declared here
>   502 | CK_DLL_EXP void CK_EXPORT _ck_assert_failed(const char *file, int line,
>       |   
>       




Portage 3.0.0 (python 3.8.5-final-0, default/linux/amd64/17.1/desktop/gnome, gcc-10.2.0, glibc-2.31-r6, 5.7.8-gentoo-x86_64 x86_64)
=================================================================
System uname: Linux-5.7.8-gentoo-x86_64-x86_64-Intel-R-_Core-TM-_i5-7300U_CPU_@_2.60GHz-with-glibc2.2.5
KiB Mem:    32696800 total,  21045596 free
KiB Swap:   41943036 total,  41943036 free
Timestamp of repository gentoo: Thu, 23 Jul 2020 12:35:19 +0000
Head commit of repository gentoo: 029e5a75a6c8d7a7261291002dfeb8be5b7fd1a4

sh bash 5.0_p18
ld GNU ld (Gentoo 2.34 p4) 2.34.0
distcc 3.3.3 x86_64-pc-linux-gnu [disabled]
ccache version 3.7.11 [disabled]
app-shells/bash:          5.0_p18::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3-r1::gentoo
dev-lang/python:          2.7.18-r1::gentoo, 3.6.11-r2::gentoo, 3.7.8-r2::gentoo, 3.8.5::gentoo, 3.9.0_beta5::gentoo
dev-util/ccache:          3.7.11::gentoo
dev-util/cmake:           3.18.0::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.2::gentoo
sys-devel/binutils:       2.34-r1::gentoo
sys-devel/gcc:            9.3.0::gentoo, 10.2.0::gentoo
sys-devel/gcc-config:     2.3.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r6::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000

ABI="amd64"
ABI_X86="64"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ADA_TARGET="gnat_2018"
ARCH="amd64"
BINPKG_COMPRESS="bzip2"
BROOT=""
CBUILD="x86_64-pc-linux-gnu"
CCACHE_DIR="/var/cache/ccache"
CFLAGS="-O2 -pipe -march=skylake -mtune=skylake -mabm -mrtm"
CFLAGS_amd64="-m64"
CFLAGS_x32="-mx32"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x32="x86_64-pc-linux-gnux32"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/*"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3"
CXXFLAGS="-O2 -pipe -march=skylake -mtune=skylake -mabm -mrtm"
DCC_EMAILLOG_WHOM_TO_BLAME=""
DEFAULT_ABI="amd64"
DISTCC_ENABLE_DISCREPANCY_EMAIL=""
DISTCC_FALLBACK="1"
DISTCC_SAVE_TEMPS="0"
DISTCC_SSH=""
DISTCC_TCP_CORK=""
DISTCC_VERBOSE="0"
EDITOR="/bin/nano"
ELIBC="glibc"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
EPREFIX=""
EROOT="/"
ESYSROOT="/"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-64"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/x86_64-pc-linux-gnu/9.3.0/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.34/info:/usr/share/info"
INPUT_DEVICES="libinput synaptics"
IUSE_IMPLICIT="abi_x86_64 prefix prefix-guest prefix-stack"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_MESSAGES="C"
LC_NUMERIC="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LDFLAGS_amd64="-m elf_x86_64"
LDFLAGS_x32="-m elf32_x86_64"
LDFLAGS_x86="-m elf_i386"
LIBDIR_amd64="lib64"
LIBDIR_x32="libx32"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="-j5 -l5.95"
MANPAGER="manpager"
MOTD_SHOWN="pam"
MOZ_GMP_PATH="/usr/lib64/nsbrowser/plugins/gmp-gmpopenh264/system-installed"
MULTILIB_ABIS="amd64 x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/10/bin"
PHP_TARGETS="php7-2"
POSTGRES_TARGETS="postgres10 postgres11"
PRELINK_PATH_MASK="/usr/bin/evolution"
PWD="/root"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_7"
PYTHON_TARGETS="python2_7 python3_6 python3_7 python3_8"
ROOT="/"
ROOTPATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/lib/llvm/10/bin"
RUBY_TARGETS="ruby26 ruby27"
RUSTC_WRAPPER="/usr/bin/sccache"
SCCACHE_DIR="/var/cache/sccache"
SCCACHE_MAX_FRAME_LENGTH="104857600"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/2"
SYMLINK_LIB="no"
SYSROOT="/"
TERM="screen"
TMUX="/tmp//tmux-0/default,30257,0"
TMUX_PANE="%0"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
UNCACHED_ERR_FD=""
USER="root"
USERLAND="GNU"
VIDEO_CARDS="intel i965"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share:/usr/share/gdm"
XDG_RUNTIME_DIR="/run/user/0"
XDG_SESSION_CLASS="user"
XDG_SESSION_ID="308"
XDG_SESSION_TYPE="tty"
Comment 1 rnddim 2020-07-24 10:07:47 UTC
Same issue occurs trying to compile net-libs/libaccounts-glib-1.25-r1
Comment 2 rnddim 2020-07-24 10:11:59 UTC
To add some more information, I fixed my problem by masking =dev-libs/check-0.15.1 and downgrading to version 0.15.0, which is the library that adds the _ck_assert_failed function.
Comment 3 Henrik Pihl 2020-07-24 12:49:07 UTC
Created attachment 650558 [details, diff]
Replace deprecated attachments

GDM compiles with this. This should eventually go upstream, I presume? fail_unless macro was deprecated in version 0.90 (even before 2015)
Comment 4 Henrik Pihl 2020-07-30 17:59:01 UTC
Sent to upstream.
https://gitlab.gnome.org/GNOME/gdm/-/merge_requests/105
Comment 6 Matt Turner gentoo-dev 2021-04-30 15:19:48 UTC
(In reply to Henrik Pihl from comment #4)
> Sent to upstream.
> https://gitlab.gnome.org/GNOME/gdm/-/merge_requests/105

Thanks for doing this!
Comment 7 Larry the Git Cow gentoo-dev 2021-04-30 16:08:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7cbef6cf8bcca85cbb0594e62226c8a6a262b69

commit b7cbef6cf8bcca85cbb0594e62226c8a6a262b69
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2021-04-30 02:27:41 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2021-04-30 16:08:16 +0000

    gnome-base/gdm: Version bump to 40.0
    
    * Drop 49-keychain and 50-ssh-agent files (bugs #549102, #692648)
    * Switch to Meson (resolves bug #585976)
    ** Remove unnecessary fontconfig, libXext, iso-codes, libgudev,
       libXinerama dependencies
    * Remove unused introspection, smartcard, xinerama USE flags
    * Depend on xorg-server[-minimal] (bug #660546)
    * Resolve bug #613222, resolved upstream in v40.0
    * Resolve bug #733708, resolved upstream in v3.38
    
    Bug: https://bugs.gentoo.org/762460
    Closes: https://bugs.gentoo.org/549102
    Closes: https://bugs.gentoo.org/585976
    Closes: https://bugs.gentoo.org/613222
    Closes: https://bugs.gentoo.org/660546
    Closes: https://bugs.gentoo.org/692648
    Closes: https://bugs.gentoo.org/733708
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-base/gdm/Manifest                            |   1 +
 ...dm-40.0-meson-allow-building-with-elogind.patch | 211 +++++++++++++++++++++
 gnome-base/gdm/gdm-40.0.ebuild                     | 207 ++++++++++++++++++++
 3 files changed, 419 insertions(+)